Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SubQueryInfo

    java.lang.Object
      jet.api.SubQueryInfo

    public class SubQueryInfo

extends java.lang.Object

class AndInfo wraps all And command related infos

Constructor Summary
`SubQueryInfo()` constructor.
`SubQueryInfo(java.lang.String sLogic, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String queryname)` constructor an object with specific content

Method Summary
`boolean` | `equals(java.lang.Object obj)` compare the object
`java.lang.String` | `getExpression1()` return the first expression value
`java.lang.String` | `getLogic()` return the logic value
`java.lang.String` | `getOperator()` return the operator value
`java.lang.String` | `getQueryname()` return sub query name
`void` | `setExpression1(java.lang.String sExpression1)` set first expression value
`void` | `setLogic(java.lang.String sLogic)` set the logic value
`void` | `setOperator(java.lang.String sOperator)` set operator value
`void` | `setQueryname(java.lang.String queryname)` set sub query name

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubQueryInfo

    public SubQueryInfo()

  constructor. Defines a sub-query infomation

### SubQueryInfo

    public SubQueryInfo(java.lang.String sLogic,
                        java.lang.String sExpression1,
                        java.lang.String sOperator,
                        java.lang.String queryname)

  constructor an object with specific content

  Parameters:
    `sLogic` - logic value
    `sExpression1` - first expression value
    `sOperator` - operator value
    `queryname` - sub-query name

Method Detail

### getLogic

    public java.lang.String getLogic()

  return the logic value

  Returns:
    logic value

### getExpression1

    public java.lang.String getExpression1()

  return the first expression value

  Returns:
    first expression value

### getOperator

    public java.lang.String getOperator()

  return the operator value

  Returns:
    operator value

### getQueryname

    public java.lang.String getQueryname()

  return sub query name

  Returns:
    sub query name

### setLogic

    public void setLogic(java.lang.String sLogic)

  set the logic value

  Parameters:
    `sLogic` - value

### setExpression1

    public void setExpression1(java.lang.String sExpression1)

  set first expression value

  Parameters:
    `sExpression1` - first expression value

### setOperator

    public void setOperator(java.lang.String sOperator)

  set operator value

  Parameters:
    `sOperator` - operator value

### setQueryname

    public void setQueryname(java.lang.String queryname)

  set sub query name

  Parameters:
    `queryname` - sub query name

### equals

    public boolean equals(java.lang.Object obj)

  compare the object

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    if the given object is equal to this one, return true, otherwise, return false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD